// @SOURCE:/Users/Robert/Development/play/ttcturnierserver/conf/routes
// @HASH:50005c73e3fbfb0e56575b32a35275111900262d
// @DATE:Sat Nov 10 11:58:03 CET 2012

import play.core._
import play.core.Router._
import play.core.j._

import play.api.mvc._


import Router.queryString


// @LINE:22
// @LINE:18
// @LINE:16
// @LINE:15
// @LINE:14
// @LINE:9
// @LINE:6
package controllers {

// @LINE:18
// @LINE:16
// @LINE:15
// @LINE:14
// @LINE:9
// @LINE:6
class ReverseApplication {
    


 
// @LINE:14
def cmd(ctype:String, cvalstr:String, cvalint:String) = {
   Call("GET", "/cmd" + queryString(List(Some(implicitly[QueryStringBindable[String]].unbind("ctype", ctype)), Some(implicitly[QueryStringBindable[String]].unbind("cvalstr", cvalstr)), Some(implicitly[QueryStringBindable[String]].unbind("cvalint", cvalint)))))
}
                                                        
 
// @LINE:9
def table() = {
   Call("GET", "/table")
}
                                                        
 
// @LINE:16
def cmdrt(table:String) = {
   Call("GET", "/cmdrt" + queryString(List(Some(implicitly[QueryStringBindable[String]].unbind("table", table)))))
}
                                                        
 
// @LINE:6
def index() = {
   Call("GET", "/")
}
                                                        
 
// @LINE:18
def start() = {
   Call("GET", "/start")
}
                                                        
 
// @LINE:15
def cmdst(no:String, kl:String, p1:String, v1:String, p2:String, v2:String, in:String) = {
   Call("GET", "/cmdst" + queryString(List(Some(implicitly[QueryStringBindable[String]].unbind("no", no)), Some(implicitly[QueryStringBindable[String]].unbind("kl", kl)), Some(implicitly[QueryStringBindable[String]].unbind("p1", p1)), Some(implicitly[QueryStringBindable[String]].unbind("v1", v1)), Some(implicitly[QueryStringBindable[String]].unbind("p2", p2)), Some(implicitly[QueryStringBindable[String]].unbind("v2", v2)), Some(implicitly[QueryStringBindable[String]].unbind("in", in)))))
}
                                                        

                      
    
}
                            

// @LINE:22
class ReverseAssets {
    


 
// @LINE:22
def at(file:String) = {
   Call("GET", "/assets/" + implicitly[PathBindable[String]].unbind("file", file))
}
                                                        

                      
    
}
                            
}
                    


// @LINE:22
// @LINE:18
// @LINE:16
// @LINE:15
// @LINE:14
// @LINE:9
// @LINE:6
package controllers.javascript {

// @LINE:18
// @LINE:16
// @LINE:15
// @LINE:14
// @LINE:9
// @LINE:6
class ReverseApplication {
    


 
// @LINE:14
def cmd = JavascriptReverseRoute(
   "controllers.Application.cmd",
   """
      function(ctype,cvalstr,cvalint) {
      return _wA({method:"GET", url:"/cmd" + _qS([(""" + implicitly[QueryStringBindable[String]].javascriptUnbind + """)("ctype", ctype), (""" + implicitly[QueryStringBindable[String]].javascriptUnbind + """)("cvalstr", cvalstr), (""" + implicitly[QueryStringBindable[String]].javascriptUnbind + """)("cvalint", cvalint)])})
      }
   """
)
                                                        
 
// @LINE:9
def table = JavascriptReverseRoute(
   "controllers.Application.table",
   """
      function() {
      return _wA({method:"GET", url:"/table"})
      }
   """
)
                                                        
 
// @LINE:16
def cmdrt = JavascriptReverseRoute(
   "controllers.Application.cmdrt",
   """
      function(table) {
      return _wA({method:"GET", url:"/cmdrt" + _qS([(""" + implicitly[QueryStringBindable[String]].javascriptUnbind + """)("table", table)])})
      }
   """
)
                                                        
 
// @LINE:6
def index = JavascriptReverseRoute(
   "controllers.Application.index",
   """
      function() {
      return _wA({method:"GET", url:"/"})
      }
   """
)
                                                        
 
// @LINE:18
def start = JavascriptReverseRoute(
   "controllers.Application.start",
   """
      function() {
      return _wA({method:"GET", url:"/start"})
      }
   """
)
                                                        
 
// @LINE:15
def cmdst = JavascriptReverseRoute(
   "controllers.Application.cmdst",
   """
      function(no,kl,p1,v1,p2,v2,in) {
      return _wA({method:"GET", url:"/cmdst" + _qS([(""" + implicitly[QueryStringBindable[String]].javascriptUnbind + """)("no", no), (""" + implicitly[QueryStringBindable[String]].javascriptUnbind + """)("kl", kl), (""" + implicitly[QueryStringBindable[String]].javascriptUnbind + """)("p1", p1), (""" + implicitly[QueryStringBindable[String]].javascriptUnbind + """)("v1", v1), (""" + implicitly[QueryStringBindable[String]].javascriptUnbind + """)("p2", p2), (""" + implicitly[QueryStringBindable[String]].javascriptUnbind + """)("v2", v2), (""" + implicitly[QueryStringBindable[String]].javascriptUnbind + """)("in", in)])})
      }
   """
)
                                                        

                      
    
}
                            

// @LINE:22
class ReverseAssets {
    


 
// @LINE:22
def at = JavascriptReverseRoute(
   "controllers.Assets.at",
   """
      function(file) {
      return _wA({method:"GET", url:"/assets/" + (""" + implicitly[PathBindable[String]].javascriptUnbind + """)("file", file)})
      }
   """
)
                                                        

                      
    
}
                            
}
                    


// @LINE:22
// @LINE:18
// @LINE:16
// @LINE:15
// @LINE:14
// @LINE:9
// @LINE:6
package controllers.ref {

// @LINE:18
// @LINE:16
// @LINE:15
// @LINE:14
// @LINE:9
// @LINE:6
class ReverseApplication {
    


 
// @LINE:14
def cmd(ctype:String, cvalstr:String, cvalint:String) = new play.api.mvc.HandlerRef(
   controllers.Application.cmd(ctype, cvalstr, cvalint), HandlerDef(this, "controllers.Application", "cmd", Seq(classOf[String], classOf[String], classOf[String]))
)
                              
 
// @LINE:9
def table() = new play.api.mvc.HandlerRef(
   controllers.Application.table(), HandlerDef(this, "controllers.Application", "table", Seq())
)
                              
 
// @LINE:16
def cmdrt(table:String) = new play.api.mvc.HandlerRef(
   controllers.Application.cmdrt(table), HandlerDef(this, "controllers.Application", "cmdrt", Seq(classOf[String]))
)
                              
 
// @LINE:6
def index() = new play.api.mvc.HandlerRef(
   controllers.Application.index(), HandlerDef(this, "controllers.Application", "index", Seq())
)
                              
 
// @LINE:18
def start() = new play.api.mvc.HandlerRef(
   controllers.Application.start(), HandlerDef(this, "controllers.Application", "start", Seq())
)
                              
 
// @LINE:15
def cmdst(no:String, kl:String, p1:String, v1:String, p2:String, v2:String, in:String) = new play.api.mvc.HandlerRef(
   controllers.Application.cmdst(no, kl, p1, v1, p2, v2, in), HandlerDef(this, "controllers.Application", "cmdst", Seq(classOf[String], classOf[String], classOf[String], classOf[String], classOf[String], classOf[String], classOf[String]))
)
                              

                      
    
}
                            

// @LINE:22
class ReverseAssets {
    


 
// @LINE:22
def at(path:String, file:String) = new play.api.mvc.HandlerRef(
   controllers.Assets.at(path, file), HandlerDef(this, "controllers.Assets", "at", Seq(classOf[String], classOf[String]))
)
                              

                      
    
}
                            
}
                    
                